
Redmine - Feature #23020

Default assigned_to when receiving emails

2016-06-08 22:38 - Charles Fulton

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

I have multiple aliases configured to read emails from standard input. For one, I want anything sent to a given alias to be sent to a

particular project and assigned to a particular group that's in the project. This is my invocation string (anonymized):

foo:          "|cd /path/to/files && /usr/bin/bundle exec rake -f /path/to/files/Rakefile redmine:email:read tracker=Support

project=myproject unknown_user=accept no_permission_check=1 assigned_to=MyGroupName status=New

allow_override=tracker,status,priority,done_ratio,assigned_to RAILS_ENV=\"production\""

 If I just send an email to foo@redmine this doesn't quite work; the issue is created in myproject but the assignee is blank. Now, if I

send an email and include Assigned to: MyGroupName it works as expected: the issue is created in my project and is assigned to

MyGroupName.

Environment:

  Redmine version                2.6.8.stable

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.22

  Environment                    production

  Database adapter               MySQL

Associated revisions

Revision 15547 - 2016-06-18 09:07 - Jean-Philippe Lang

Ability to define a default assigned_to when receiving emails (#23020).

Revision 15561 - 2016-06-18 12:24 - Jean-Philippe Lang

Adds missing option to the Mail Handler test form.

Revision 15566 - 2016-06-18 12:57 - Jean-Philippe Lang

Merged r15547 and r15561 (#23020).

History

#1 - 2016-06-09 01:59 - Charles Fulton

I should have researched this more thoroughly before posting. I realize now that per RedmineReceivingEmails the only issue options which the rake

task will read are project, status, tracker, category, and priority. It would be helpful to add assigned_to to that list.

#2 - 2016-06-18 09:08 - Jean-Philippe Lang

- Subject changed from Cannot set a group as the default assigned_to when receiving emails via a rake task to Default assigned_to when receiving

emails

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Option added in r15547 for 3.3.0.

#3 - 2016-06-18 09:08 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
https://www.redmine.org/projects/redmine/repository/svn/revisions/15547


- Tracker changed from Defect to Feature

#4 - 2016-06-18 12:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

http://www.tcpdf.org

